Package org.opentcs.drivers.vehicle

# Class VehicleCommAdapterEvent

java.lang.Object
org.opentcs.drivers.vehicle.VehicleCommAdapterEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class VehicleCommAdapterEvent
    extends java.lang.Object
    implements java.io.Serializable

An event emitted by a communication adapter.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VehicleCommAdapterEvent​(java.lang.String adapterName)` | Creates a new instance without an appendix.
  `VehicleCommAdapterEvent​(java.lang.String adapterName, java.io.Serializable appendix)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAdapterName()` | Returns the name of the adapter that emitted this event.
  `java.io.Serializable` | `getAppendix()` | Returns the (optional) appendix containing additional arbitrary information about the event.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VehicleCommAdapterEvent

    public VehicleCommAdapterEvent​(java.lang.String adapterName, java.io.Serializable appendix)
    Creates a new instance.
    Parameters:
      `adapterName` - The name of the adapter that emitted this event.
      `appendix` - An optional appendix containing additional arbitrary information about the event.

  - ### VehicleCommAdapterEvent

    public VehicleCommAdapterEvent​(java.lang.String adapterName)
    Creates a new instance without an appendix.
    Parameters:
      `adapterName` - The name of the adapter that emitted this event.

- ## Method Details

  - ### getAdapterName

    public java.lang.String getAdapterName()
    Returns the name of the adapter that emitted this event.
    Returns:
      The name of the adapter that emitted this event.

  - ### getAppendix

    public java.io.Serializable getAppendix()
    Returns the (optional) appendix containing additional arbitrary information about the event.
    Returns:
      The (optional) appendix containing additional arbitrary information about the event.

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`